Interfejs Display & Video 360 API umożliwia użytkownikom automatyzację złożonych przepływów pracy w Display & Video 360, takich jak tworzenie zamówień reklamowych i ustawianie opcji kierowania dla poszczególnych elementów zamówienia.
- Zasób REST: v5.advertisers
- Zasób REST: v5.advertisers.adAssets
- Zasób REST: v5.advertisers.adGroupAds
- Zasób REST: v5.advertisers.adGroups
- Zasób REST: v5.advertisers.adGroups.targetingTypes.assignedTargetingOptions
- Zasób REST: v5.advertisers.adGroups.youtubeAssetTypes.youtubeAssetAssociations
- Zasób REST: v5.advertisers.assets
- Zasób REST: v5.advertisers.campaigns
- Zasób REST: v5.advertisers.channels
- Zasób REST: v5.advertisers.channels.sites
- Zasób REST: v5.advertisers.creatives
- Zasób REST: v5.advertisers.insertionOrders
- Zasób REST: v5.advertisers.inventorySources
- Zasób REST: v5.advertisers.invoices
- Zasób REST: v5.advertisers.lineItems
- Zasób REST: v5.advertisers.lineItems.targetingTypes.assignedTargetingOptions
- Zasób REST: v5.advertisers.lineItems.youtubeAssetTypes.youtubeAssetAssociations
- Zasób REST: v5.advertisers.locationLists
- Zasób REST: v5.advertisers.locationLists.assignedLocations
- Zasób REST: v5.advertisers.negativeKeywordLists
- Zasób REST: v5.advertisers.negativeKeywordLists.negativeKeywords
- Zasób REST: v5.advertisers.reachForecast
- Zasób REST: v5.advertisers.targetingTypes.assignedTargetingOptions
- Zasób REST: v5.combinedAudiences
- Zasób REST: v5.customBiddingAlgorithms
- Zasób REST: v5.customBiddingAlgorithms.rules
- Zasób REST: v5.customBiddingAlgorithms.scripts
- Zasób REST: v5.customLists
- Zasób REST: v5.firstPartyAndPartnerAudiences
- Zasób REST: v5.floodlightGroups
- Zasób REST: v5.floodlightGroups.floodlightActivities
- Zasób REST: v5.googleAudiences
- Zasób REST: v5.guaranteedOrders
- Zasób REST: v5.inventorySourceGroups
- Zasób REST: v5.inventorySourceGroups.assignedInventorySources
- Zasób REST: v5.lookalikeAudiences
- Zasób REST: v5.media
- Zasób REST: v5.partners
- Zasób REST: v5.partners.channels
- Zasób REST: v5.partners.channels.sites
- Zasób REST: v5.partners.inventorySources
- Zasób REST: v5.partners.targetingTypes.assignedTargetingOptions
- Zasób REST: v5.sdfdownloadtasks
- Zasób REST: v5.sdfdownloadtasks.operations
- Zasób REST: v5.targetingTypes.targetingOptions
- Zasób REST: v5.users
Usługa: displayvideo.googleapis.com
Zalecamy wywołanie tej usługi przy użyciu dostarczonych przez Google bibliotek klienta. Jeśli aplikacja musi wywoływać tę usługę przy użyciu własnych bibliotek, podczas tworzenia żądań interfejsu API należy używać poniższych informacji.
Dokument opisujący
Dokument opisujący to specyfikacja w formacie czytelnym dla komputerów, opisująca interfejsy API REST i sposób ich używania. Służy do tworzenia bibliotek klienta, wtyczek IDE i innych narzędzi, które współdziałają z interfejsami API Google. Jedna usługa może udostępniać wiele dokumentów opisujących. Ta usługa dostarcza następujący dokument opisujący interfejs API:
Punkt końcowy usługi
Punkt końcowy usługi to podstawowy adres URL, który określa adres sieciowy usługi interfejsu API. Jedna usługa może mieć wiele punktów końcowych. Ta usługa ma następujący punkt końcowy i wszystkie poniższe identyfikatory URI odnoszą się do niego:
https://displayvideo.googleapis.com
Zasób REST: v5.advertisers
| Metody | |
|---|---|
audit |
GET /v5/advertisers/{advertiserId}:audit Przeprowadza kontrolę reklamodawcy. |
create |
POST /v5/advertisers Tworzy nowego reklamodawcę. |
delete |
DELETE /v5/advertisers/{advertiserId} Usuwa reklamodawcę. |
editAssignedTargetingOptions |
POST /v5/advertisers/{advertiserId}:editAssignedTargetingOptions Edytuje opcje kierowania w ramach jednego reklamodawcy. |
get |
GET /v5/advertisers/{advertiserId} Pobiera reklamodawcę. |
list |
GET /v5/advertisers Wyświetla listę reklamodawców, do których ma dostęp bieżący użytkownik. |
listAssignedTargetingOptions |
GET /v5/advertisers/{advertiserId}:listAssignedTargetingOptions Wyświetla listę przypisanych opcji kierowania reklamodawcy według typów kierowania. |
patch |
PATCH /v5/advertisers/{advertiser.advertiserId} Aktualizuje istniejącego reklamodawcę. |
Zasób REST: v5.advertisers.adAssets
| Metody | |
|---|---|
bulkCreate |
POST /v5/advertisers/{advertiserId}/adAssets:bulkCreate Tworzy wiele komponentów reklamy w jednym żądaniu. |
create |
POST /v5/advertisers/{advertiserId}/adAssets Tworzy komponent reklamy. |
get |
GET /v5/advertisers/{advertiserId}/adAssets/{adAssetId} Pobiera komponent reklamy. |
list |
GET /v5/advertisers/{advertiserId}/adAssets Wyświetla listę komponentów reklamy pod identyfikatorem reklamodawcy. |
patch |
PATCH /v5/advertisers/{advertiserId}/adAssets/{adAsset.adAssetId} Aktualizuje komponent reklamy. |
upload |
POST /v5/advertisers/{advertiserId}/adAssets:uploadAdAsset POST /upload/v5/advertisers/{advertiserId}/adAssets:uploadAdAsset Przesyła i tworzy komponent reklamy. |
Zasób REST: v5.advertisers.adGroupAds
| Metody | |
|---|---|
create |
POST /v5/advertisers/{adGroupAd.advertiserId}/adGroupAds Tworzy reklamę w grupie reklam. |
delete |
DELETE /v5/advertisers/{advertiserId}/adGroupAds/{adGroupAdId} Usuwa reklamę z grupy reklam. |
get |
GET /v5/advertisers/{advertiserId}/adGroupAds/{adGroupAdId} Pobiera reklamę z grupy reklam. |
list |
GET /v5/advertisers/{advertiserId}/adGroupAds Wyświetla listę reklam w grupie reklam. |
patch |
PATCH /v5/advertisers/{adGroupAd.advertiserId}/adGroupAds/{adGroupAd.adGroupAdId} Aktualizuje reklamę w grupie reklam. |
Zasób REST: v5.advertisers.adGroups
| Metody | |
|---|---|
bulkEditAssignedTargetingOptions |
POST /v5/advertisers/{advertiserId}/adGroups:bulkEditAssignedTargetingOptions Zbiorcze edytowanie opcji kierowania w wielu grupach reklam. |
bulkListAssignedTargetingOptions |
GET /v5/advertisers/{advertiserId}/adGroups:bulkListAssignedTargetingOptions Wyświetla listę przypisanych opcji kierowania dla wielu grup reklam w różnych typach kierowania. |
create |
POST /v5/advertisers/{adGroup.advertiserId}/adGroups Tworzy nową grupę reklam. |
delete |
DELETE /v5/advertisers/{advertiserId}/adGroups/{adGroupId} Usuwa grupę reklam. |
get |
GET /v5/advertisers/{advertiserId}/adGroups/{adGroupId} Pobiera grupę reklam. |
list |
GET /v5/advertisers/{advertiserId}/adGroups Wyświetla listę grup reklam. |
patch |
PATCH /v5/advertisers/{adGroup.advertiserId}/adGroups/{adGroup.adGroupId} Aktualizuje istniejącą grupę reklam. |
Zasób REST: v5.advertisers.adGroups.targetingTypes.assignedTargetingOptions
| Metody | |
|---|---|
create |
POST /v5/advertisers/{advertiserId}/adGroups/{adGroupId}/targetingTypes/{targetingType}/assignedTargetingOptions Przypisuje opcję kierowania do grupy reklam. |
delete |
DELETE /v5/advertisers/{advertiserId}/adGroups/{adGroupId}/targetingTypes/{targetingType}/assignedTargetingOptions/{assignedTargetingOptionId} Usuwa przypisaną opcję kierowania z grupy reklam. |
get |
GET /v5/advertisers/{advertiserId}/adGroups/{adGroupId}/targetingTypes/{targetingType}/assignedTargetingOptions/{assignedTargetingOptionId} Pobiera pojedynczą opcję kierowania przypisaną do grupy reklam. |
list |
GET /v5/advertisers/{advertiserId}/adGroups/{adGroupId}/targetingTypes/{targetingType}/assignedTargetingOptions Wyświetla opcje kierowania przypisane do grupy reklam. |
Zasób REST: v5.advertisers.adGroups.youtubeAssetTypes.youtubeAssetAssociations
| Metody | |
|---|---|
create |
POST /v5/advertisers/{advertiserId}/adGroups/{linkedEntity.adGroupId}/youtubeAssetTypes/{youtubeAssetAssociation.youtubeAssetType}/youtubeAssetAssociations Tworzy nowe powiązanie między określonym zasobem a zasobem YouTube. |
delete |
DELETE /v5/advertisers/{advertiserId}/adGroups/{linkedEntity.adGroupId}/youtubeAssetTypes/{youtubeAssetType}/youtubeAssetAssociations/{youtubeAssetAssociationId} Usuwa istniejące powiązanie między określonym zasobem a zasobem YouTube. |
list |
GET /v5/advertisers/{advertiserId}/adGroups/{linkedEntity.adGroupId}/youtubeAssetTypes/{youtubeAssetType}/youtubeAssetAssociations Wyświetla listę powiązań zasobów YouTube połączonych z danym zasobem. |
Zasób REST: v5.advertisers.assets
| Metody | |
|---|---|
upload |
POST /upload/v5/advertisers/{advertiserId}/assets Przesyła komponent. |
Zasób REST: v5.advertisers.campaigns
| Metody | |
|---|---|
create |
POST /v5/advertisers/{campaign.advertiserId}/campaigns Tworzy nową kampanię. |
delete |
DELETE /v5/advertisers/{advertiserId}/campaigns/{campaignId} Trwale usuwa kampanię. |
get |
GET /v5/advertisers/{advertiserId}/campaigns/{campaignId} Pobiera kampanię. |
list |
GET /v5/advertisers/{advertiserId}/campaigns Wyświetla listę kampanii reklamodawcy. |
patch |
PATCH /v5/advertisers/{campaign.advertiserId}/campaigns/{campaign.campaignId} Aktualizuje istniejącą kampanię. |
Zasób REST: v5.advertisers.channels
| Metody | |
|---|---|
create |
POST /v5/advertisers/{advertiserId}/channels Tworzy nowy kanał. |
get |
GET /v5/advertisers/{advertiserId}/channels/{channelId} Pobiera kanał partnera lub reklamodawcy. |
list |
GET /v5/advertisers/{advertiserId}/channels Wyświetla listę kanałów partnera lub reklamodawcy. |
patch |
PATCH /v5/advertisers/{advertiserId}/channels/{channel.channelId} Aktualizuje kanał. |
Zasób REST: v5.advertisers.channels.sites
| Metody | |
|---|---|
bulkEdit |
POST /v5/advertisers/{advertiserId}/channels/{channelId}/sites:bulkEdit Zbiorcze edytowanie witryn w ramach jednego kanału. |
create |
POST /v5/advertisers/{advertiserId}/channels/{channelId}/sites Tworzy witrynę w kanale. |
delete |
DELETE /v5/advertisers/{advertiserId}/channels/{channelId}/sites/{urlOrAppId} Usuwa witrynę z kanału. |
list |
GET /v5/advertisers/{advertiserId}/channels/{channelId}/sites Wyświetla listę witryn w kanale. |
replace |
POST /v5/advertisers/{advertiserId}/channels/{channelId}/sites:replace Zastępuje wszystkie witryny w jednym kanale. |
Zasób REST: v5.advertisers.creatives
| Metody | |
|---|---|
create |
POST /v5/advertisers/{creative.advertiserId}/creatives Tworzy nową kreację. |
delete |
DELETE /v5/advertisers/{advertiserId}/creatives/{creativeId} Usuwa kreację. |
get |
GET /v5/advertisers/{advertiserId}/creatives/{creativeId} Pobiera kreację. |
list |
GET /v5/advertisers/{advertiserId}/creatives Wyświetla listę kreacji reklamodawcy. |
patch |
PATCH /v5/advertisers/{creative.advertiserId}/creatives/{creative.creativeId} Aktualizuje istniejącą kreację. |
Zasób REST: v5.advertisers.insertionOrders
| Metody | |
|---|---|
create |
POST /v5/advertisers/{insertionOrder.advertiserId}/insertionOrders Tworzy nowe zamówienie reklamowe. |
delete |
DELETE /v5/advertisers/{advertiserId}/insertionOrders/{insertionOrderId} Usuwa zamówienie reklamowe. |
get |
GET /v5/advertisers/{advertiserId}/insertionOrders/{insertionOrderId} Pobiera zamówienie reklamowe. |
list |
GET /v5/advertisers/{advertiserId}/insertionOrders Wyświetla listę zamówień reklamowych reklamodawcy. |
patch |
PATCH /v5/advertisers/{insertionOrder.advertiserId}/insertionOrders/{insertionOrder.insertionOrderId} Aktualizuje istniejące zamówienie reklamowe. |
Zasób REST: v5.advertisers.inventorySources
| Metody | |
|---|---|
get |
GET /v5/advertisers/{advertiserId}/inventorySources/{inventorySourceId} Pobiera umowę dotyczącą źródła zasobów reklamowych. |
list |
GET /v5/advertisers/{advertiserId}/inventorySources Wyświetla listę umów dotyczących źródeł zasobów reklamowych. |
Zasób REST: v5.advertisers.invoices
| Metody | |
|---|---|
list |
GET /v5/advertisers/{advertiserId}/invoices Wyświetla listę faktur wystawionych dla reklamodawcy w danym miesiącu. |
lookupInvoiceCurrency |
GET /v5/advertisers/{advertiserId}/invoices:lookupInvoiceCurrency Pobiera walutę faktury używaną przez reklamodawcę w danym miesiącu. |
Zasób REST: v5.advertisers.lineItems
| Metody | |
|---|---|
bulkEditAssignedTargetingOptions |
POST /v5/advertisers/{advertiserId}/lineItems:bulkEditAssignedTargetingOptions Zbiorcze edytowanie opcji kierowania w wielu elementach zamówienia. |
bulkListAssignedTargetingOptions |
GET /v5/advertisers/{advertiserId}/lineItems:bulkListAssignedTargetingOptions Wyświetla listę przypisanych opcji kierowania dla wielu elementów zamówienia w różnych typach kierowania. |
bulkUpdate |
POST /v5/advertisers/{advertiserId}/lineItems:bulkUpdate Aktualizuje wiele elementów zamówienia. |
create |
POST /v5/advertisers/{lineItem.advertiserId}/lineItems Tworzy nowy element zamówienia. |
delete |
DELETE /v5/advertisers/{advertiserId}/lineItems/{lineItemId} Usuwa element zamówienia. |
duplicate |
POST /v5/advertisers/{advertiserId}/lineItems/{lineItemId}:duplicate Duplikuje element zamówienia. |
get |
GET /v5/advertisers/{advertiserId}/lineItems/{lineItemId} Pobiera element zamówienia. |
list |
GET /v5/advertisers/{advertiserId}/lineItems Wyświetla listę elementów zamówienia reklamodawcy. |
patch |
PATCH /v5/advertisers/{lineItem.advertiserId}/lineItems/{lineItem.lineItemId} Aktualizuje istniejący element zamówienia. |
Zasób REST: v5.advertisers.lineItems.targetingTypes.assignedTargetingOptions
| Metody | |
|---|---|
create |
POST /v5/advertisers/{advertiserId}/lineItems/{lineItemId}/targetingTypes/{targetingType}/assignedTargetingOptions Przypisuje opcję kierowania do elementu zamówienia. |
delete |
DELETE /v5/advertisers/{advertiserId}/lineItems/{lineItemId}/targetingTypes/{targetingType}/assignedTargetingOptions/{assignedTargetingOptionId} Usuwa przypisaną opcję kierowania z elementu zamówienia. |
get |
GET /v5/advertisers/{advertiserId}/lineItems/{lineItemId}/targetingTypes/{targetingType}/assignedTargetingOptions/{assignedTargetingOptionId} Pobiera pojedynczą opcję kierowania przypisaną do elementu zamówienia. |
list |
GET /v5/advertisers/{advertiserId}/lineItems/{lineItemId}/targetingTypes/{targetingType}/assignedTargetingOptions Wyświetla listę opcji kierowania przypisanych do elementu zamówienia. |
Zasób REST: v5.advertisers.lineItems.youtubeAssetTypes.youtubeAssetAssociations
| Metody | |
|---|---|
create |
POST /v5/advertisers/{advertiserId}/lineItems/{linkedEntity.lineItemId}/youtubeAssetTypes/{youtubeAssetAssociation.youtubeAssetType}/youtubeAssetAssociations Tworzy nowe powiązanie między określonym zasobem a zasobem YouTube. |
delete |
DELETE /v5/advertisers/{advertiserId}/lineItems/{linkedEntity.lineItemId}/youtubeAssetTypes/{youtubeAssetType}/youtubeAssetAssociations/{youtubeAssetAssociationId} Usuwa istniejące powiązanie między określonym zasobem a zasobem YouTube. |
list |
GET /v5/advertisers/{advertiserId}/lineItems/{linkedEntity.lineItemId}/youtubeAssetTypes/{youtubeAssetType}/youtubeAssetAssociations Wyświetla listę powiązań zasobów YouTube połączonych z danym zasobem. |
Zasób REST: v5.advertisers.locationLists
| Metody | |
|---|---|
create |
POST /v5/advertisers/{advertiserId}/locationLists Tworzy nową listę lokalizacji. |
get |
GET /v5/advertisers/{advertiserId}/locationLists/{locationListId} Pobiera listę lokalizacji. |
list |
GET /v5/advertisers/{advertiserId}/locationLists Wyświetla listy lokalizacji na podstawie podanego identyfikatora reklamodawcy. |
patch |
PATCH /v5/advertisers/{advertiserId}/locationLists/{locationList.locationListId} Aktualizuje listę lokalizacji. |
Zasób REST: v5.advertisers.locationLists.assignedLocations
| Metody | |
|---|---|
bulkEdit |
POST /v5/advertisers/{advertiserId}/locationLists/{locationListId}/assignedLocations:bulkEdit Edytuje zbiorczo wiele przypisań między lokalizacjami a jedną listą lokalizacji. |
create |
POST /v5/advertisers/{advertiserId}/locationLists/{locationListId}/assignedLocations Tworzy przypisanie między lokalizacją a listą lokalizacji. |
delete |
DELETE /v5/advertisers/{advertiserId}/locationLists/{locationListId}/assignedLocations/{assignedLocationId} Usuwa przypisanie lokalizacji do listy lokalizacji. |
list |
GET /v5/advertisers/{advertiserId}/locationLists/{locationListId}/assignedLocations Wyświetla listę lokalizacji przypisanych do listy lokalizacji. |
Zasób REST: v5.advertisers.negativeKeywordLists
| Metody | |
|---|---|
create |
POST /v5/advertisers/{advertiserId}/negativeKeywordLists Tworzy nową listę wykluczających słów kluczowych. |
delete |
DELETE /v5/advertisers/{advertiserId}/negativeKeywordLists/{negativeKeywordListId} Usuwa listę wykluczających słów kluczowych na podstawie identyfikatora reklamodawcy i identyfikatora listy wykluczających słów kluczowych. |
get |
GET /v5/advertisers/{advertiserId}/negativeKeywordLists/{negativeKeywordListId} Pobiera listę wykluczających słów kluczowych na podstawie identyfikatora reklamodawcy i identyfikatora listy wykluczających słów kluczowych. |
list |
GET /v5/advertisers/{advertiserId}/negativeKeywordLists Wyświetla listy wykluczających słów kluczowych na podstawie podanego identyfikatora reklamodawcy. |
patch |
PATCH /v5/advertisers/{advertiserId}/negativeKeywordLists/{negativeKeywordList.negativeKeywordListId} Aktualizuje listę wykluczających słów kluczowych. |
Zasób REST: v5.advertisers.negativeKeywordLists.negativeKeywords
| Metody | |
|---|---|
bulkEdit |
POST /v5/advertisers/{advertiserId}/negativeKeywordLists/{negativeKeywordListId}/negativeKeywords:bulkEdit Zbiorcze edytowanie wykluczających słów kluczowych na jednej liście wykluczających słów kluczowych. |
create |
POST /v5/advertisers/{advertiserId}/negativeKeywordLists/{negativeKeywordListId}/negativeKeywords Tworzy wykluczające słowo kluczowe na liście wykluczających słów kluczowych. |
delete |
DELETE /v5/advertisers/{advertiserId}/negativeKeywordLists/{negativeKeywordListId}/negativeKeywords/{keywordValue} Usuwa wykluczające słowo kluczowe z listy wykluczających słów kluczowych. |
list |
GET /v5/advertisers/{advertiserId}/negativeKeywordLists/{negativeKeywordListId}/negativeKeywords Wyświetla listę wykluczających słów kluczowych na liście wykluczających słów kluczowych. |
replace |
POST /v5/advertisers/{advertiserId}/negativeKeywordLists/{negativeKeywordListId}/negativeKeywords:replace Zastępuje wszystkie wykluczające słowa kluczowe na jednej liście wykluczających słów kluczowych. |
Zasób REST: v5.advertisers.reachForecast
| Metody | |
|---|---|
generateReachForecast |
POST /v5/advertisers/{advertiserId}/reachForecast:generateReachForecast Generuje prognozę zasięgu dla danego reklamodawcy i konfiguracji kierowania. |
retrievePlannableLocations |
GET /v5/advertisers/{advertiserId}/reachForecast:retrievePlannableLocations Pobiera listę krajów, w których obsługiwane jest prognozowanie zasięgu. |
retrievePlannableProducts |
GET /v5/advertisers/{advertiserId}/reachForecast:retrievePlannableProducts Pobiera listę produktów, które można zaplanować dla danej lokalizacji. |
retrievePlannableUserInterests |
GET /v5/advertisers/{advertiserId}/reachForecast:retrievePlannableUserInterests Pobiera listy odbiorców Google (zainteresowania użytkowników) dostępne do prognozowania. |
retrievePlannableUserLists |
GET /v5/advertisers/{advertiserId}/reachForecast:retrievePlannableUserLists Pobiera własne i zewnętrzne listy użytkowników dostępne na potrzeby prognozowania. |
Zasób REST: v5.advertisers.targetingTypes.assignedTargetingOptions
| Metody | |
|---|---|
create |
POST /v5/advertisers/{advertiserId}/targetingTypes/{targetingType}/assignedTargetingOptions Przypisuje opcję kierowania do reklamodawcy. |
delete |
DELETE /v5/advertisers/{advertiserId}/targetingTypes/{targetingType}/assignedTargetingOptions/{assignedTargetingOptionId} Usuwa przypisaną opcję kierowania z poziomu reklamodawcy. |
get |
GET /v5/advertisers/{advertiserId}/targetingTypes/{targetingType}/assignedTargetingOptions/{assignedTargetingOptionId} Pobiera pojedynczą opcję kierowania przypisaną do reklamodawcy. |
list |
GET /v5/advertisers/{advertiserId}/targetingTypes/{targetingType}/assignedTargetingOptions Wyświetla listę opcji kierowania przypisanych do reklamodawcy. |
Zasób REST: v5.combinedAudiences
| Metody | |
|---|---|
get |
GET /v5/combinedAudiences/{combinedAudienceId} Pobiera odbiorców z połączonych list. |
list |
GET /v5/combinedAudiences Wyświetla listę odbiorców z połączonych list. |
Zasób REST: v5.customBiddingAlgorithms
| Metody | |
|---|---|
create |
POST /v5/customBiddingAlgorithms Tworzy nowy algorytm ustalania stawek niestandardowych. |
get |
GET /v5/customBiddingAlgorithms/{customBiddingAlgorithmId} Pobiera algorytm ustalania stawek niestandardowych. |
list |
GET /v5/customBiddingAlgorithms Wyświetla listę algorytmów ustalania stawek niestandardowych, które są dostępne dla bieżącego użytkownika i mogą być używane w strategiach ustalania stawek. |
patch |
PATCH /v5/customBiddingAlgorithms/{customBiddingAlgorithm.customBiddingAlgorithmId} Aktualizuje istniejący algorytm ustalania stawek niestandardowych. |
uploadRules |
GET /v5/customBiddingAlgorithms/{customBiddingAlgorithmId}:uploadRules Tworzy obiekt odwołania do reguł dla pliku AlgorithmRules. |
uploadScript |
GET /v5/customBiddingAlgorithms/{customBiddingAlgorithmId}:uploadScript Tworzy obiekt referencyjny skryptu ustalania stawek niestandardowych dla pliku skryptu. |
Zasób REST: v5.customBiddingAlgorithms.rules
| Metody | |
|---|---|
create |
POST /v5/customBiddingAlgorithms/{customBiddingAlgorithmId}/rules Tworzy nowy zasób reguł. |
get |
GET /v5/customBiddingAlgorithms/{customBiddingAlgorithmId}/rules/{customBiddingAlgorithmRulesId} Pobiera zasób reguł. |
list |
GET /v5/customBiddingAlgorithms/{customBiddingAlgorithmId}/rules Wyświetla listę zasobów reguł, które należą do danego algorytmu. |
Zasób REST: v5.customBiddingAlgorithms.scripts
| Metody | |
|---|---|
create |
POST /v5/customBiddingAlgorithms/{customBiddingAlgorithmId}/scripts Tworzy nowy skrypt ustalania stawek niestandardowych. |
get |
GET /v5/customBiddingAlgorithms/{customBiddingAlgorithmId}/scripts/{customBiddingScriptId} Pobiera skrypt ustalania stawek niestandardowych. |
list |
GET /v5/customBiddingAlgorithms/{customBiddingAlgorithmId}/scripts Wyświetla listę skryptów ustalania stawek niestandardowych, które należą do danego algorytmu. |
Zasób REST: v5.customLists
| Metody | |
|---|---|
get |
GET /v5/customLists/{customListId} Pobiera listę klientów. |
list |
GET /v5/customLists Wyświetla listy klientów. |
Zasób REST: v5.firstPartyAndPartnerAudiences
| Metody | |
|---|---|
get |
GET /v5/firstPartyAndPartnerAudiences/{firstPartyAndPartnerAudienceId} Pobiera własną listę odbiorców lub listę odbiorców partnera. |
list |
GET /v5/firstPartyAndPartnerAudiences Wyświetla własne listy odbiorców i listy odbiorców partnera. |
Zasób REST: v5.floodlightGroups
| Metody | |
|---|---|
get |
GET /v5/floodlightGroups/{floodlightGroupId} Pobiera grupę Floodlight. |
patch |
PATCH /v5/floodlightGroups/{floodlightGroup.floodlightGroupId} Aktualizuje istniejącą grupę Floodlight. |
Zasób REST: v5.floodlightGroups.floodlightActivities
| Metody | |
|---|---|
get |
GET /v5/floodlightGroups/{floodlightGroupId}/floodlightActivities/{floodlightActivityId} Pobiera aktywność Floodlight. |
list |
GET /v5/floodlightGroups/{floodlightGroupId}/floodlightActivities Wyświetla listę aktywności Floodlight w grupie Floodlight. |
Zasób REST: v5.googleAudiences
| Metody | |
|---|---|
get |
GET /v5/googleAudiences/{googleAudienceId} Pobiera listę odbiorców Google. |
list |
GET /v5/googleAudiences Wyświetla listę odbiorców Google. |
Zasób REST: v5.guaranteedOrders
| Metody | |
|---|---|
create |
POST /v5/guaranteedOrders Tworzy nowe zamówienie gwarantowane. |
editGuaranteedOrderReadAccessors |
POST /v5/guaranteedOrders/{guaranteedOrderId}:editGuaranteedOrderReadAccessors Edytuje reklamodawców z dostępem do odczytu w zamówieniu gwarantowanym. |
get |
GET /v5/guaranteedOrders/{guaranteedOrderId} Otrzymuje gwarantowane zamówienie. |
list |
GET /v5/guaranteedOrders Wyświetla listę gwarantowanych zamówień, do których ma dostęp bieżący użytkownik. |
patch |
PATCH /v5/guaranteedOrders/{guaranteedOrder.guaranteedOrderId} Aktualizuje istniejące zamówienie gwarantowane. |
Zasób REST: v5.inventorySourceGroups
| Metody | |
|---|---|
create |
POST /v5/inventorySourceGroups Tworzy nową grupę źródeł zasobów reklamowych. |
delete |
DELETE /v5/inventorySourceGroups/{inventorySourceGroupId} Usuwa grupę źródeł zasobów reklamowych. |
get |
GET /v5/inventorySourceGroups/{inventorySourceGroupId} Pobiera grupę źródeł zasobów reklamowych. |
list |
GET /v5/inventorySourceGroups Wyświetla listę grup źródeł zasobów reklamowych, do których ma dostęp bieżący użytkownik. |
patch |
PATCH /v5/inventorySourceGroups/{inventorySourceGroup.inventorySourceGroupId} Aktualizuje grupę źródeł zasobów reklamowych. |
Zasób REST: v5.inventorySourceGroups.assignedInventorySources
| Metody | |
|---|---|
bulkEdit |
POST /v5/inventorySourceGroups/{inventorySourceGroupId}/assignedInventorySources:bulkEdit Umożliwia zbiorcze edytowanie wielu przypisań między źródłami zasobów reklamowych a pojedynczą grupą źródeł zasobów reklamowych. |
create |
POST /v5/inventorySourceGroups/{inventorySourceGroupId}/assignedInventorySources Tworzy przypisanie między źródłem zasobów reklamowych a grupą źródeł zasobów reklamowych. |
delete |
DELETE /v5/inventorySourceGroups/{inventorySourceGroupId}/assignedInventorySources/{assignedInventorySourceId} Usuwa przypisanie między źródłem zasobów reklamowych a grupą źródeł zasobów reklamowych. |
list |
GET /v5/inventorySourceGroups/{inventorySourceGroupId}/assignedInventorySources Wyświetla listę źródeł zasobów reklamowych przypisanych do grupy źródeł zasobów reklamowych. |
Zasób REST: v5.lookalikeAudiences
| Metody | |
|---|---|
create |
POST /v5/lookalikeAudiences Tworzy nową listę podobnych odbiorców. |
get |
GET /v5/lookalikeAudiences/{lookalikeAudienceId} Pobiera listę podobnych odbiorców. |
list |
GET /v5/lookalikeAudiences Wyświetla listy podobnych odbiorców. |
Zasób REST: v5.media
| Metody | |
|---|---|
download |
GET /download/{resourceName=**} Pobiera multimedia. |
upload |
POST /upload/media/{resourceName=**} Przesyła multimedia. |
Zasób REST: v5.partners
| Metody | |
|---|---|
editAssignedTargetingOptions |
POST /v5/partners/{partnerId}:editAssignedTargetingOptions Edytuje opcje kierowania w ramach jednego partnera. |
get |
GET /v5/partners/{partnerId} Pobiera partnera. |
list |
GET /v5/partners Wyświetla listę partnerów, do których ma dostęp bieżący użytkownik. |
Zasób REST: v5.partners.channels
| Metody | |
|---|---|
create |
POST /v5/partners/{partnerId}/channels Tworzy nowy kanał. |
get |
GET /v5/partners/{partnerId}/channels/{channelId} Pobiera kanał partnera lub reklamodawcy. |
list |
GET /v5/partners/{partnerId}/channels Wyświetla listę kanałów partnera lub reklamodawcy. |
patch |
PATCH /v5/partners/{partnerId}/channels/{channel.channelId} Aktualizuje kanał. |
Zasób REST: v5.partners.channels.sites
| Metody | |
|---|---|
bulkEdit |
POST /v5/partners/{partnerId}/channels/{channelId}/sites:bulkEdit Zbiorcze edytowanie witryn w ramach jednego kanału. |
create |
POST /v5/partners/{partnerId}/channels/{channelId}/sites Tworzy witrynę w kanale. |
delete |
DELETE /v5/partners/{partnerId}/channels/{channelId}/sites/{urlOrAppId} Usuwa witrynę z kanału. |
list |
GET /v5/partners/{partnerId}/channels/{channelId}/sites Wyświetla listę witryn w kanale. |
replace |
POST /v5/partners/{partnerId}/channels/{channelId}/sites:replace Zastępuje wszystkie witryny w jednym kanale. |
Zasób REST: v5.partners.inventorySources
| Metody | |
|---|---|
get |
GET /v5/partners/{partnerId}/inventorySources/{inventorySourceId} Pobiera umowę dotyczącą źródła zasobów reklamowych. |
list |
GET /v5/partners/{partnerId}/inventorySources Wyświetla listę umów dotyczących źródeł zasobów reklamowych. |
Zasób REST: v5.partners.targetingTypes.assignedTargetingOptions
| Metody | |
|---|---|
create |
POST /v5/partners/{partnerId}/targetingTypes/{targetingType}/assignedTargetingOptions Przypisuje opcję kierowania do partnera. |
delete |
DELETE /v5/partners/{partnerId}/targetingTypes/{targetingType}/assignedTargetingOptions/{assignedTargetingOptionId} Usuwa przypisaną opcję kierowania z partnera. |
get |
GET /v5/partners/{partnerId}/targetingTypes/{targetingType}/assignedTargetingOptions/{assignedTargetingOptionId} Pobiera pojedynczą opcję kierowania przypisaną do partnera. |
list |
GET /v5/partners/{partnerId}/targetingTypes/{targetingType}/assignedTargetingOptions Wyświetla listę opcji kierowania przypisanych do partnera. |
Zasób REST: v5.sdfdownloadtasks
| Metody | |
|---|---|
create |
POST /v5/sdfdownloadtasks Tworzy zadanie pobierania pliku SDF. |
Zasób REST: v5.sdfdownloadtasks.operations
| Metody | |
|---|---|
get |
GET /v5/{name=sdfdownloadtasks/operations/*} Pobiera najnowszy stan operacji asynchronicznego zadania pobierania pliku SDF. |
Zasób REST: v5.targetingTypes.targetingOptions
| Metody | |
|---|---|
get |
GET /v5/targetingTypes/{targetingType}/targetingOptions/{targetingOptionId} Pobiera pojedynczą opcję kierowania. |
list |
GET /v5/targetingTypes/{targetingType}/targetingOptions Wyświetla listę opcji kierowania danego typu. |
search |
POST /v5/targetingTypes/{targetingType}/targetingOptions:search Wyszukuje opcje kierowania danego typu na podstawie podanych wyszukiwanych haseł. |
Zasób REST: v5.users
| Metody | |
|---|---|
bulkEditAssignedUserRoles |
POST /v5/users/{userId}:bulkEditAssignedUserRoles Zbiorcze edytowanie ról użytkownika. |
create |
POST /v5/users Tworzy nowego użytkownika. |
delete |
DELETE /v5/users/{userId} Usuwa użytkownika. |
get |
GET /v5/users/{userId} Pobiera użytkownika. |
list |
GET /v5/users Wyświetla listę użytkowników, do których ma dostęp bieżący użytkownik. |
patch |
PATCH /v5/users/{user.userId} Aktualizuje istniejącego użytkownika. |